Summary: A GNU program for formatting C code.
Name: indent
Version: 2.2.9
Release: 3m
License: GPL
Group: Applications/Text
Source: ftp://ftp.gnu.org/pub/gnu/indent/indent-%{version}.tar.gz
Nosource: 0
Prereq: info
URL: http://www.gnu.org/directory/indent.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.

%prep
%setup -q

%build

%configure
export PATH=$PATH:.
make

%install
rm -rf %{buildroot}

%makeinstall
rm -f %{buildroot}/%{_infodir}/dir
# gzip -9nf %{buildroot}/%{_infodir}/indent.info*
rm -f %{buildroot}/usr/doc/indent/indent.html

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/indent.info.* %{_infodir}/dir --entry="* indent: (indent).				Program to format source code."

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/indent.info.* %{_infodir}/dir --entry="* indent: (indent).                 	 Program to format source code."

fi

%files
%defattr(-,root,root)
%{_bindir}/indent
%{_bindir}/texinfo2man
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/locale/*/*/*

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.9-3m)
- revised spec for enabling rpm 4.2.

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.9-2m)
- fix URL tag

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.9-1m)
  update to 2.2.9

* Thu Nov 21 2002 WATABE Toyokazu <toy2@nidone.org>
- (2.2.8-1m)
- update to 2.2.8.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.2.7-2k)
- ver up.

* Tue Apr 30 2002 Kenta Murata <muraken@kondara.org>
- /sbin/install-info -> info in PreReq.

* Wed Nov 22 2000 Kenichi Matsubara <m@kondara.org>
- bugfix Source section.

* Sun Nov 19 2000 Takaaki Tabuchi <tab@kondara.org.
- update version 2.2.6.

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Jul 21 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%configure, %%makeinstall, %%{_infodir}, %%{_mandir} 
  and %%{_tmppath}
- don't use %%{_prefix}

* Wed May 10 2000 Trond Eivind Glomsr?<teg@redhat.com>
- added URL
- remove manual stripping


* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- 2.2.5

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- 2.2.0

* Fri Jul 16 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.1

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.0.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- use install-info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
